/**
 *
 */
var persistenceBanco;
var callbackGlobal;
var erro;
function SincFormaPagamentoCliente(ip, banco, empresa, vendedor, callback) {

	callbackGlobal = callback;

	var select = "CPF_CNPJ, PADRAO, FORMA_PGTOID".split(", ");
	var from = "dbo.VW_MOBILE_CLIENTES_FORMAS_PGTO";
	var where = "EMPRESAID = " + empresa + " AND VENDEDORID = " + vendedor;

	try {

		var servico = new ServicoConsulta(ip, banco, montarSqlSelect(select, from, where), true, function(retorno) {

			var formaPagamentoClienteAdicionar = [];

			for (var i = 0; i < retorno.length; i++) {

				var colunas = retorno[i].split("#c#");

				var novasColunas = new HashTable();

				for (var j = 0; j < colunas.length; j++) {
					if (colunas[j] == null) {
						colunas[j] = "";
					}
					novasColunas.setItem(select[j], colunas[j]);
				}

				var formaPagamentoCliente = new FormaPagamentoCliente();
				formaPagamentoCliente.formaPagamentoId = novasColunas.getItem("FORMA_PGTOID");
				formaPagamentoCliente.cpfCnpj = novasColunas.getItem("CPF_CNPJ");
				formaPagamentoCliente.padrao = novasColunas.getItem("PADRAO");

				formaPagamentoClienteAdicionar[i] = formaPagamentoCliente;
			}
			apagarTodosFormaPagamentoCliente(formaPagamentoClienteAdicionar);
		});

	} catch(e) {
		e.message = e.message + "\nBanco: " + from;
		throw e;
	}

}

function apagarTodosFormaPagamentoCliente(formaPagamentoClienteAdicionar) {
	abrirBanco(function(a) {
		persistenceBanco = a;

		persistenceBanco.formaPagamentoCliente.clear().done(function(results) {
			adicionarBanco(persistenceBanco, 'formaPagamentoCliente', formaPagamentoClienteAdicionar, function(a) {
				callbackGlobal();
			});
		});
	});
}
